<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:yaml="tag:yaml.org,2002"
  xmlns:yaxml="http://www.uca.es/yaxml">

  <!-- NOTE: apparently, Xalan doesn't like the YAXML binding
       namespace, so we're forced to use only local names. This
       doesn't happen with GNOME's libxslt library. -->

  <!-- Label list elements as "Item X" -->
  <xsl:template match="*[local-name(.)='_']">
    <xsl:attribute name="nodelabel">
      <xsl:value-of select="concat($yaxml:item, count(preceding-sibling::*))"/>
    </xsl:attribute>
  </xsl:template>

  <!-- Hide all yaml:_key elements -->
  <xsl:template match="*[local-name(.)='_key']">
    <xsl:attribute name="hidden">1</xsl:attribute>
  </xsl:template>

  <!-- Label map values using their keys -->
  <xsl:template match="*[local-name(.)='_value']">
    <xsl:attribute name="nodelabel">
      <xsl:value-of select="preceding-sibling::*[local-name(.)='_key'][1]"/>
    </xsl:attribute>
  </xsl:template>

  <!-- Label subdocuments as such -->
  <xsl:template match="/*[local-name(.)='yaml']/*[local-name(.)='yaml']">
    <xsl:attribute name="nodelabel">
      <xsl:value-of select="concat($yaxml:anon)"/>
    </xsl:attribute>
  </xsl:template>
  <xsl:template match="/*[local-name(.)='yaml']/*[local-name(.)!='yaml']">
    <xsl:attribute name="nodelabel">
      <xsl:value-of select="concat('Document ', local-name(.))"/>
    </xsl:attribute>
  </xsl:template>

</xsl:stylesheet>
