<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:xmls="http://www.uca.es/xmleye/xml-stylesheet"
 xmlns:rutasxpath="xalan://es.uca.xmleye.xpath.GestorRutasXPath">

<!-- Parent stylesheet -->
<xsl:import href="view_xml"/>

<!-- Anchor-alias mapping -->
<xsl:key match="*" use="attribute::*[name(.)='anchor']" name="anchors"/>

<xsl:template match="*">

  <xsl:call-template name="skeleton">
    <xsl:with-param name="rtf">

	<xsl:if test="@*">
          <h2><xsl:copy-of select="$xmls:attributes"/></h2>
	  <table border="1" padding="1" width="60%" align="center">
  	    <tr>
              <th width="30%" class="tablekey"><xsl:copy-of select="$xmls:name"/></th>
              <th width="70%" class="tablevalue"><xsl:copy-of select="$xmls:value"/></th>
            </tr>
	    <xsl:variable name="thisNode" select="."/>

	    <xsl:for-each select="@*">
	      <tr>
		<td><xsl:value-of select="name(.)"/></td>
		<td>
		  <xsl:choose>
		    <xsl:when test="name(.)='alias'">
		      <a href="#xpointer({rutasxpath:obtenerRuta(key('anchors',.), /)})">
			<xsl:value-of select="."/>
		      </a>
		    </xsl:when>
		    <xsl:otherwise>
		      <xsl:value-of select="."/>		      
		    </xsl:otherwise>
		  </xsl:choose>
	      </td></tr>
	    </xsl:for-each>
	      
	  </table>
	</xsl:if>

    </xsl:with-param>
  </xsl:call-template>

</xsl:template>

</xsl:stylesheet>
